<script setup lang="ts">
import { ref } from "vue";
import type { VForm } from "vuetify/components";
import { useFoodStore } from "@/stores/food";
import type Menu from "@/types/Menu";
import { useMessageStore } from "@/stores/message";
const form = ref<VForm | null>(null);
const backendURL = import.meta.env.VITE_BACKEND_URL;
const foodStore = useFoodStore();
const urlParams = new URLSearchParams(location.search);
const orderid = urlParams.get('order')
const messageStore = useMessageStore();


function plus() {
  foodStore.Amount += 1;
}

function Minus() {
  if (foodStore.Amount > 1) {
    foodStore.Amount -= 1;
  }
}

const save = async () => {
  if(orderid != null){
    foodStore.editedbasket.amount = foodStore.Amount;
    foodStore.editedbasket.note = foodStore.Note;
    foodStore.editedbasket.menu = foodStore.menuiItem.id!;
    foodStore.editedbasket.order = foodStore.order;
    foodStore.saveBasket();
    foodStore.clear();
  }
};

const clear = () => {
  foodStore.dialog = false
  foodStore.clear();
};
</script>

<template>
  <v-row>
    <v-dialog v-model="foodStore.dialog" width="600" persistent>
      <v-card style="background-color: #ffefcf">
        <div class="d-flex justify-center ma-4">
          <v-img
            max-height="250"
            min-height="250"
            max-width="250"
            min-width="250"
            :src="`${backendURL}/menus/image/${foodStore.menuiItem.image}`"
            cover
          ></v-img>
        </div>
        <v-card-title>
          <span class="text-h5"
            ><label>{{ foodStore.menuiItem.name }}</label></span
          >
          <v-divider></v-divider>
        </v-card-title>
        <div class="d-flex justify-center ma-4">
          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn color="black" icon="mdi-minus" @click="Minus()"></v-btn>
            <label class="detail">{{ foodStore.Amount }}</label>
            <v-btn color="black" icon="mdi-plus" @click="plus()"></v-btn>
          </v-card-actions>
        </div>
        <div class="detail">
          <v-textarea
            style="font-weight: bold"
            v-model="foodStore.Note"
            label="รายละเอียดเพิ่มเติม"
            variant="outlined"
          ></v-textarea>
        </div>
        <v-card-text class="text-right">
          <label class="price"
            >ราคา :
            {{ foodStore.menuiItem.price * foodStore.Amount }}฿</label
          >
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="blue-darken-1" variant="text" @click="clear">
            <label class="oc">ปิด</label>
          </v-btn>
          <v-btn color="blue-darken-1" variant="text" @click="save" >
            <label class="oc">บันทึก</label>
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");
tbody {
  font-family: "Noto Sans Thai", sans-serif;
  color: black;
}
label {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 24px;
  font-weight: bold;
  color: black;
}

.detail {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 18px;
  font-weight: bold;
  color: black;
}
.price {
  font-size: 15px;
  font-weight: bold;
  color: green;
}

.oc {
  font-size: 15px;
  color: #0081c9;
}
</style>